Debian Bug report logs - #552296
Upgrading from linux-image-2.6.26-2-ixp4xx version 2.6.26-17lenny2 to version 2.6.26-19 hangs nslu2. After upgrading and rebooting the slug has only ethernet light in red (fixed, not alternating)

version graph

Package: linux-image-2.6.26-2-ixp4xx; Maintainer for linux-image-2.6.26-2-ixp4xx is (unknown);

Reported by: Xan <DXpublica@telefonica.net>

Date: Sun, 25 Oct 2009 10:18:03 UTC

Severity: normal

Found in version linux-2.6/2.6.26-19

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Sun, 25 Oct 2009 10:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <DXpublica@telefonica.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Oct 2009 10:18:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Xan <DXpublica@telefonica.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Upgrading from linux-image-2.6.26-2-ixp4xx version 2.6.26-17lenny2 to version 2.6.26-19 hangs nslu2. After upgrading and rebooting the slug has only ethernet light in red (fixed, not alternating)
Date: Sun, 25 Oct 2009 10:44:17 +0100
Package: linux-image-2.6.26-2-ixp4xx
Version: 2.6.26-19
Severity: normal


After upgrading to version 2.6.26-19 of linux-image-2.6.26-2-ixp4xx 
kernel and rebooting the slug hangs. It has only ethernet light in red 
(fixed, not alternating).

I could not access via ssh
The boot seems to not complete.
The logs are empty

I could not triage the causes of the bug because I have not serial port. 
I have to reinstall slug in order to restore complete debian system.

Mailing list discussion: 
http://lists.debian.org/debian-arm/2009/10/msg00035.html




-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.26-2-ixp4xx
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to ca_ES.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-2-ixp4xx depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-2-ixp4xx recommends no packages.

Versions of packages linux-image-2.6.26-2-ixp4xx suggests:
pn  fdutils                       <none>     (no description available)
pn  linux-doc-2.6.26              <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-2-ixp4xx/postinst/old-dir-initrd-link-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/prerm/removing-running-kernel-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/preinst/lilo-has-ramdisk:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-2-ixp4xx/preinst/elilo-initrd-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/prerm/would-invalidate-boot-loader-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/postinst/old-initrd-link-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/postinst/old-system-map-link-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/postinst/depmod-error-2.6.26-2-ixp4xx: false
  linux-image-2.6.26-2-ixp4xx/preinst/abort-overwrite-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/postinst/create-kimage-link-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/preinst/abort-install-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/preinst/initrd-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/preinst/failed-to-move-modules-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/postinst/bootloader-error-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/preinst/lilo-initrd-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/preinst/overwriting-modules-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/postinst/depmod-error-initrd-2.6.26-2-ixp4xx: false
  linux-image-2.6.26-2-ixp4xx/preinst/already-running-this-2.6.26-2-ixp4xx:
  linux-image-2.6.26-2-ixp4xx/postinst/kimage-is-a-directory:
  linux-image-2.6.26-2-ixp4xx/preinst/bootloader-initrd-2.6.26-2-ixp4xx: true
  linux-image-2.6.26-2-ixp4xx/postinst/bootloader-test-error-2.6.26-2-ixp4xx:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Sun, 25 Oct 2009 12:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Maziere <pierre.maziere@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Oct 2009 12:42:08 GMT) Full text and rfc822 format available.

Message #10 received at 552296@bugs.debian.org (full text, mbox):

From: Pierre Maziere <pierre.maziere@gmail.com>
To: 552296@bugs.debian.org
Subject: same with 2.6.26-19lenny1
Date: Sun, 25 Oct 2009 13:08:25 +0100
[Message part 1 (text/plain, inline)]
I had the exact same problem with my NSLU2 running lenny when I applied the
security upgrade from 2.6.26-17 to 2.6.26-19lenny1
There were no problems during the update process. I used "reboot" to reboot
the NSLU2.

I now have a NSLU2 that does not complete its boot and does not seem to
access the disks since there are no information added to the logs since the
shutdown.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Mon, 26 Oct 2009 15:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Maziere <pierre.maziere@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Oct 2009 15:36:07 GMT) Full text and rfc822 format available.

Message #15 received at 552296@bugs.debian.org (full text, mbox):

From: Pierre Maziere <pierre.maziere@gmail.com>
To: 552296@bugs.debian.org
Subject: false alarm
Date: Mon, 26 Oct 2009 14:40:49 +0100
[Message part 1 (text/plain, inline)]
It seems that the update switched the /dev/sda and /dev/sdb which explains
the freeze during the boot sequence.
I switched the usb plugs and everything is now back to normal.
sorry for the noise
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Tue, 27 Oct 2009 07:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 27 Oct 2009 07:15:09 GMT) Full text and rfc822 format available.

Message #20 received at 552296@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Pierre Maziere <pierre.maziere@gmail.com>, 552296@bugs.debian.org
Subject: Re: Bug#552296: false alarm
Date: Mon, 26 Oct 2009 23:08:09 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2009-10-26 at 14:40 +0100, Pierre Maziere wrote:
> It seems that the update switched the /dev/sda and /dev/sdb which
> explains the freeze during the boot sequence.
> I switched the usb plugs and everything is now back to normal.
> sorry for the noise

You should not expect that USB disks will be found and assigned names in
any particular order.  You should specify partitions by label or UUID
instead of device name.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Bug closed, send any further explanations to Xan <DXpublica@telefonica.net> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 27 Oct 2009 07:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Wed, 28 Oct 2009 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 28 Oct 2009 08:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: 552296@bugs.debian.org
Subject: Re: Bug#552296 acknowledged by developer (closing 552296)
Date: Tue, 27 Oct 2009 13:24:58 +0100
>
> On Mon, 2009-10-26 at 14:40 +0100, Pierre Maziere wrote:
> > It seems that the update switched the /dev/sda and /dev/sdb which
> > explains the freeze during the boot sequence.
> > I switched the usb plugs and everything is now back to normal.
> > sorry for the noise
>
> You should not expect that USB disks will be found and assigned names in
> any particular order.  You should specify partitions by label or UUID
> instead of device name.
>
> Ben.
>   

Ben, it's a bug. At least formally. A capricious swap between harddrives 
that hangs the system it's a bug I think, overall if the debian 
installer assign mounts in /etc/fstab by device and not by label or UUID.

Or the d-i mounts the devices by UUID (so bug in d-i) or this is a bug 
in the updating the kernel (perhaps it's not the kernel bug itself but 
yes the process of updating)

But, don't mind me. I'm just a desktop user (ironicaly) ;-)

Regards,
Xan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Wed, 28 Oct 2009 21:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 28 Oct 2009 21:39:12 GMT) Full text and rfc822 format available.

Message #32 received at 552296@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Xan <dxpublica@telefonica.net>, 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Wed, 28 Oct 2009 10:08:20 +0100
On Tue, Oct 27, 2009 at 01:24:58PM +0100, Xan wrote:
> Ben, it's a bug. At least formally.

Maybe, but not in the kernel. The kernel never documented this values to
be stable.

>                                     A capricious swap between harddrives  
> that hangs the system it's a bug I think, overall if the debian  
> installer assign mounts in /etc/fstab by device and not by label or UUID.

So it is a bug in the installer, and fixed lately.

Bastian

-- 
A princess should not be afraid -- not with a brave knight to protect her.
		-- McCoy, "Shore Leave", stardate 3025.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 07:21:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 07:21:35 GMT) Full text and rfc822 format available.

Message #37 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Bastian Blank <waldi@debian.org>
Cc: 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Wed, 28 Oct 2009 16:41:17 +0100
En/na Bastian Blank ha escrit:
> On Tue, Oct 27, 2009 at 01:24:58PM +0100, Xan wrote:
>   
>> Ben, it's a bug. At least formally.
>>     
>
> Maybe, but not in the kernel. The kernel never documented this values to
> be stable.
>
>   
Yes, not in the kernel. I'm in agreement
>>                                     A capricious swap between harddrives  
>> that hangs the system it's a bug I think, overall if the debian  
>> installer assign mounts in /etc/fstab by device and not by label or UUID.
>>     
>
> So it is a bug in the installer, and fixed lately.
>   
What do you think that "fixed lately"? Is this bug fixed?
Why not change kernel as package which has a bug for d-i?

Regards,
Xan,





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 12:27:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 12:27:25 GMT) Full text and rfc822 format available.

Message #42 received at 552296@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Xan <dxpublica@telefonica.net>, 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 11:36:56 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2009-10-28 at 16:41 +0100, Xan wrote:
> En/na Bastian Blank ha escrit:
> > On Tue, Oct 27, 2009 at 01:24:58PM +0100, Xan wrote:
> >   
> >> Ben, it's a bug. At least formally.
> >>     
> >
> > Maybe, but not in the kernel. The kernel never documented this values to
> > be stable.
> >
> >   
> Yes, not in the kernel. I'm in agreement
> >>                                     A capricious swap between harddrives  
> >> that hangs the system it's a bug I think, overall if the debian  
> >> installer assign mounts in /etc/fstab by device and not by label or UUID.
> >>     
> >
> > So it is a bug in the installer, and fixed lately.
> >   
> What do you think that "fixed lately"? Is this bug fixed?
> Why not change kernel as package which has a bug for d-i?

It can't be fixed in the kernel; it is an inherent problem with the
design of USB.

Ben.

-- 
Ben Hutchings
I'm always amazed by the number of people who take up solipsism because
they heard someone else explain it. - E*Borg on alt.fan.pratchett
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 15:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 15:54:07 GMT) Full text and rfc822 format available.

Message #47 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 16:05:59 +0100
>> What do you think that "fixed lately"? Is this bug fixed?
>> Why not change kernel as package which has a bug for d-i?
>>     
>
> It can't be fixed in the kernel; it is an inherent problem with the
> design of USB.
>
> Ben.
>
>   
So, perhaps d-i should put UUID in /etc/fstab by default intead of dev 
path. So is it a d-i bug?

Xan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 16:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 16:45:17 GMT) Full text and rfc822 format available.

Message #52 received at 552296@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Xan <dxpublica@telefonica.net>, 552296@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 16:18:40 +0000
* Xan <dxpublica@telefonica.net> [2009-10-29 16:05]:
> So, perhaps d-i should put UUID in /etc/fstab by default intead of
> dev path. So is it a d-i bug?

d-i for squeeze will use UUIDs.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 18:57:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 18:57:37 GMT) Full text and rfc822 format available.

Message #57 received at 552296@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Xan <dxpublica@telefonica.net>, 552296@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 17:31:08 +0100
On Thu, Oct 29, 2009 at 04:05:59PM +0100, Xan wrote:
> 
> So, perhaps d-i should put UUID in /etc/fstab by default intead of dev 
> path. So is it a d-i bug?
> 

latest d-i does so, thus no point in following up to this.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 19:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 19:00:08 GMT) Full text and rfc822 format available.

Message #62 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 552296@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 17:40:20 +0100
En/na Martin Michlmayr ha escrit:
> * Xan <dxpublica@telefonica.net> [2009-10-29 16:05]:
>   
>> So, perhaps d-i should put UUID in /etc/fstab by default intead of
>> dev path. So is it a d-i bug?
>>     
>
> d-i for squeeze will use UUIDs.
>
>   
Good news, Martin. So in squeeze there is no a bug. But what happens 
with this bug in lenny?.
I don't know the debian bug policy. What do you do in that case with 
this bug? It's a wontfix bug, invalid? pending? I'm not enter here, 
because really it's a technical discussion (debian bugs policy) because 
in squeeze there is no such bug.

Thanks a lot for triaging,
Xan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 19:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 19:03:11 GMT) Full text and rfc822 format available.

Message #67 received at 552296@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Xan <dxpublica@telefonica.net>
Cc: 552296@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 17:09:57 +0000
* Xan <dxpublica@telefonica.net> [2009-10-29 17:40]:
> Good news, Martin. So in squeeze there is no a bug. But what happens
> with this bug in lenny?.
> I don't know the debian bug policy. What do you do in that case with
> this bug? It's a wontfix bug, invalid? pending? I'm not enter here,
> because really it's a technical discussion (debian bugs policy)
> because in squeeze there is no such bug.

It cannot be fixed in lenny, but I'll add a troubleshooting section to
the NSLU2 page with information about this problem.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #72 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 552296@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 19:50:26 +0100
En/na Martin Michlmayr ha escrit:
> * Xan <dxpublica@telefonica.net> [2009-10-29 17:40]:
>   
>> Good news, Martin. So in squeeze there is no a bug. But what happens
>> with this bug in lenny?.
>> I don't know the debian bug policy. What do you do in that case with
>> this bug? It's a wontfix bug, invalid? pending? I'm not enter here,
>> because really it's a technical discussion (debian bugs policy)
>> because in squeeze there is no such bug.
>>     
>
> It cannot be fixed in lenny,
Why? What's the technical reason?
What do you think of put an optional script when updating kernel that 
tests if fstab has UUID and suggests, before upgrade kernel, to change 
fstab entries to UUID entries (it points to some documentation of how to 
do that)?

>  but I'll add a troubleshooting section to
> the NSLU2 page with information about this problem.
>   
Great for doing that, Martin. Can you put the link for informational 
things? Is it that: http://www.nslu2-linux.org/wiki/Debian/TroubleShooting ?


Thanks,
Xan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 19:51:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 19:51:26 GMT) Full text and rfc822 format available.

Message #77 received at 552296@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Xan <dxpublica@telefonica.net>
Cc: 552296@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 19:02:30 +0000
* Xan <dxpublica@telefonica.net> [2009-10-29 19:50]:
> >It cannot be fixed in lenny,
> Why? What's the technical reason?
> What do you think of put an optional script when updating kernel that
> tests if fstab has UUID and suggests, before upgrade kernel, to
> change fstab entries to UUID entries (it points to some documentation
> of how to do that)?

Are you willing to implement this script?

> > but I'll add a troubleshooting section to
> >the NSLU2 page with information about this problem.
> Great for doing that, Martin. Can you put the link for informational
> things? Is it that:
> http://www.nslu2-linux.org/wiki/Debian/TroubleShooting ?

Yeah, search for "The slug fails to reboot with 2 drives connected" on
that page.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Thu, 29 Oct 2009 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 29 Oct 2009 20:18:06 GMT) Full text and rfc822 format available.

Message #82 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 552296@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Thu, 29 Oct 2009 20:51:53 +0100
En/na Martin Michlmayr ha escrit:
> * Xan <dxpublica@telefonica.net> [2009-10-29 19:50]:
>   
>>> It cannot be fixed in lenny,
>>>       
>> Why? What's the technical reason?
>> What do you think of put an optional script when updating kernel that
>> tests if fstab has UUID and suggests, before upgrade kernel, to
>> change fstab entries to UUID entries (it points to some documentation
>> of how to do that)?
>>     
>
> Are you willing to implement this script?
>
>   
Sorry. I have not enough skills for doing that. I will thank if anyone 
could do that.

Regards,
Xan.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Mon, 02 Nov 2009 07:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <Vincent.Danjean@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Nov 2009 07:45:18 GMT) Full text and rfc822 format available.

Message #87 received at 552296@bugs.debian.org (full text, mbox):

From: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
To: Xan <dxpublica@telefonica.net>, 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Mon, 02 Nov 2009 08:21:51 +0100
Xan wrote:
> Sorry. I have not enough skills for doing that. I will thank if anyone
> could do that.

This kind of script would be very critical (can lead to unbootable system)
and there are *lots* of ways users can change their /etc/fstab and
/boot/grub/menu.lst
It is relatively easy for a installer starting from scratch to write
an initial configuration with UUID.
It is very difficult to write a conversion script that will work in
any case.

But, perhaps, it would be possible to print a warning pointing on docs
explaining how to do the transition when such a situation is detected ?
[this would also apply to the /dev/hd -> /dev/sd transition]

  Regards,
    Vincent

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pacakges: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://perso.debian.org/~vdanjean/debian unstable main





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Mon, 02 Nov 2009 18:03:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xan <dxpublica@telefonica.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Nov 2009 18:03:18 GMT) Full text and rfc822 format available.

Message #92 received at 552296@bugs.debian.org (full text, mbox):

From: Xan <dxpublica@telefonica.net>
To: Vincent Danjean <Vincent.Danjean@ens-lyon.org>
Cc: 552296@bugs.debian.org
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Mon, 02 Nov 2009 18:38:36 +0100
En/na Vincent Danjean ha escrit:
> Xan wrote:
>   
>> Sorry. I have not enough skills for doing that. I will thank if anyone
>> could do that.
>>     
>
> This kind of script would be very critical (can lead to unbootable system)
> and there are *lots* of ways users can change their /etc/fstab and
> /boot/grub/menu.lst
> It is relatively easy for a installer starting from scratch to write
> an initial configuration with UUID.
> It is very difficult to write a conversion script that will work in
> any case.
>
>   
Yes, I supose it. For that, I just think of informative dialog pointing 
to docs.

> But, perhaps, it would be possible to print a warning pointing on docs
> explaining how to do the transition when such a situation is detected ?
> [this would also apply to the /dev/hd -> /dev/sd transition]
>
>   
this is exactly what I said.
The points of that documentation should (?) be (please add what you want):

- Explain the situation: the possible trouble with path fstab when 
upgrading the kernel and that it does not happen if fstab entries are  UUID.

- Explain how to do this change:
   - ls /dev/disk/by-uuid/ -alh and substitute the corresponding path 
to UUID=[the UUID]
   - for swap, perhaps blkid /dev/sdX for seeing UUID.

- rebooting


Does anyone want to do this doc. Sorry but the english is not my native 
language (notice that ;-)). When this documentation is done, I'm 
volunteer for translating to spanish and catalan, if it applies.

Regards,
Xan.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#552296; Package linux-image-2.6.26-2-ixp4xx. (Mon, 02 Nov 2009 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 02 Nov 2009 19:21:04 GMT) Full text and rfc822 format available.

Message #97 received at 552296@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Vincent Danjean <Vincent.Danjean@ens-lyon.org>, 552296@bugs.debian.org
Cc: Xan <dxpublica@telefonica.net>
Subject: Re: Bug#552296: acknowledged by developer (closing 552296)
Date: Mon, 2 Nov 2009 18:53:38 +0000
On Mon, Nov 02, 2009 at 08:21:51AM +0100, Vincent Danjean wrote:
> Xan wrote:
> > Sorry. I have not enough skills for doing that. I will thank if anyone
> > could do that.
> 
> This kind of script would be very critical (can lead to unbootable system)
> and there are *lots* of ways users can change their /etc/fstab and
> /boot/grub/menu.lst
> It is relatively easy for a installer starting from scratch to write
> an initial configuration with UUID.
> It is very difficult to write a conversion script that will work in
> any case.
> 
> But, perhaps, it would be possible to print a warning pointing on docs
> explaining how to do the transition when such a situation is detected ?
> [this would also apply to the /dev/hd -> /dev/sd transition]

This is not something for the kernel package to do, though.  The current
plan is for udev to do that.  There is a well-tested upgrade script in
Ubuntu 8.04 (and some earlier versions) and that will probably go into
Debian's udev for 'squeeze'.

Ben.

-- 
Ben Hutchings
Sturgeon's Law: Ninety percent of everything is crap.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Dec 2009 07:36:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:27:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.